Bug 29837 - JS error during installer
Summary: JS error during installer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 28376 28982
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-10 09:35 UTC by Jonathan Druart
Modified: 2022-02-21 14:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03


Attachments
Bug 29837: Remove JS error during installer (1.57 KB, patch)
2022-01-10 09:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29837: Remove JS error during installer (1.62 KB, patch)
2022-01-10 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29837: Remove JS error during installer (1.68 KB, patch)
2022-01-19 10:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-01-10 09:35:35 UTC
Uncaught ReferenceError: _ is not defined

the _() function is called from calendar.inc, but calendar.inc is included before the definition of this function in installer-intranet-bottom.inc
Comment 1 Jonathan Druart 2022-01-10 09:36:41 UTC
Created attachment 129241 [details] [review]
Bug 29837: Remove JS error during installer

Uncaught ReferenceError: _ is not defined

the _() function is called from calendar.inc, but calendar.inc is included before the definition of this function in installer-intranet-bottom.inc

Test plan:
Confirm that the JS error is gone
Comment 2 Owen Leonard 2022-01-10 12:04:33 UTC
Created attachment 129249 [details] [review]
Bug 29837: Remove JS error during installer

Uncaught ReferenceError: _ is not defined

the _() function is called from calendar.inc, but calendar.inc is
 included before the definition of this function in
installer-intranet-bottom.inc

Test plan:
Confirm that the JS error is gone

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Martin Renvoize 2022-01-19 10:37:33 UTC
Created attachment 129596 [details] [review]
Bug 29837: Remove JS error during installer

Uncaught ReferenceError: _ is not defined

the _() function is called from calendar.inc, but calendar.inc is
 included before the definition of this function in
installer-intranet-bottom.inc

Test plan:
Confirm that the JS error is gone

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-01-19 10:37:53 UTC
Nice work, Passing QA
Comment 5 Fridolin Somers 2022-01-22 07:40:54 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-02-07 11:57:42 UTC
Pushed to 21.11.x for 21.11.03
Comment 7 Andrew Fuerste-Henry 2022-02-21 14:24:00 UTC
Missing dependency, not backported to 21.05